<?php 
/**
 * The template for displaying 404 pages (Not Found)
 *
 * @package WordPress
 * @subpackage Charity
 * @since Charity 1.0
 */


$charity_settings;
$layout = $charity_settings['error-layout'];
$error_temp = $charity_settings['error_page'];
$error_small_text = $charity_settings['error_page_small_text'];
get_header(); ?>
<div id="theme-page">
	<div class="charity-main-wrapper-holder">
		<div class="theme-page-wrapper charity-main-wrapper <?php echo esc_attr($layout); ?>-layout charity-grid vc_row-fluid">
			<div class="inner-page-wrapper">
			<div class="theme-content clearfix" itemprop="mainContentOfPage">
			<div class="error-404-wrapper col-md-8 col-sm-12 col-xs-12 col-md-offset-2 ">
				<div class="error-404-big-text">
					<h1><?php echo esc_html__('4', 'charity'); ?><span><?php echo esc_html__('0', 'charity'); ?></span><?php echo esc_html__('4', 'charity'); ?></h1>
					<h4><?php echo esc_html__('PAGE NOT FOUND!', 'charity'); ?></h4>
					<h3><?php echo esc_html__('Please check the URL and try again!', 'charity'); ?></h3>
					<p><?php echo esc_html($error_small_text); ?></p>
				</div>
				<div class="searchform"><?php get_search_form(); ?></div>
			</div>
			</div>
		<?php if($layout != 'full') get_sidebar(); ?>	
		<div class="clearboth"></div>	
		</div>
		</div>
		<div class="clearboth"></div>
	</div>
</div>
<?php get_footer(); ?>