<?php
$config  = array(
	'title' => sprintf( '%s Employees Options', CHARITY_THEME_NAME ),
	'id' => 'charity-metaboxes-notab',
	'pages' => array(
		'employees'
	),
	'callback' => '',
	'context' => 'normal',
	'priority' => 'core'
);
$options = array(


	array(
		"name" => esc_html__( "Employee Position", "charity" ),
		"subtitle" => esc_html__( "Position in the company", "charity" ),
		"desc" => esc_html__( "", "charity" ),
		"id" => "_position",
		"default" => "",
		"type" => "text"
	),
	array(
		"name" => esc_html__( "Description", "charity" ),
		"subtitle" => esc_html__( "short description about the team member.", "charity" ),
		"desc" => esc_html__( "You are allowed to use HTML code as well as shortcodes.", "charity" ),
		"id" => "_desc",
		"default" => "",
		"type" => "editor"
	),
	array(
		"name" => esc_html__( "Email Address", "charity" ),
		"subtitle" => esc_html__( "Employee email address", "charity" ),
		"desc" => esc_html__( "", "charity" ),
		"id" => "_email",
		"default" => "",
		"type" => "text"
	),
	array(
		"name" => esc_html__( "Website", "charity" ),
		"subtitle" => esc_html__( "Personal Blog or website", "charity" ),
		"desc" => esc_html__( "Please enter full URL of this social network include http://", "charity" ),
		"id" => "_website",
		"default" => "",
		"type" => "text"
	),
		array(
		"name" => esc_html__( "Facebook", "charity" ),
		"subtitle" => esc_html__( "Social Network", "charity" ),
		"desc" => esc_html__( "Please enter full URL of this social network include http://", "charity" ),
		"id" => "_facebook",
		"default" => "",
		"type" => "text"
	),

		array(
		"name" => esc_html__( "Twitter", "charity" ),
		"subtitle" => esc_html__( "Social Network", "charity" ),
		"desc" => esc_html__( "Please enter full URL of this social network include http://", "charity" ),
		"id" => "_twitter",
		"default" => "",
		"type" => "text"
	),
		array(
		"name" => esc_html__( "Linked In", "charity" ),
		"subtitle" => esc_html__( "Social Network", "charity" ),
		"desc" => esc_html__( "Please enter full URL of this social network include http://", "charity" ),
		"id" => "_linkedin",
		"default" => "",
		"type" => "text"
	),

	array(
		"name" => esc_html__( "Instagram", "charity" ),
		"subtitle" => esc_html__( "Social Network", "charity" ),
		"desc" => esc_html__( "Please enter full URL of this social network include http://", "charity" ),
		"id" => "_instagram",
		"default" => "",
		"type" => "text"
	),

	array(
		"name" => esc_html__( "Dribbble", "charity" ),
		"subtitle" => esc_html__( "Social Network", "charity" ),
		"desc" => esc_html__( "Please enter full URL of this social network include http://", "charity" ),
		"id" => "_dribbble",
		"default" => "",
		"type" => "text"
	),
		array(
		"name" => esc_html__( "Google Plus", "charity" ),
		"subtitle" => esc_html__( "Social Network", "charity" ),
		"desc" => esc_html__( "Please enter full URL of this social network include http://", "charity" ),
		"id" => "_googleplus",
		"default" => "",
		"type" => "text"
	),

	array(
		"name" => esc_html__( "Pinterest", "charity" ),
		"subtitle" => esc_html__( "Social Network", "charity" ),
		"desc" => esc_html__( "Please enter full URL of this social network include http://", "charity" ),
		"id" => "_pinterest",
		"default" => "",
		"type" => "text"
	),





);
new charity_metaboxesGenerator( $config, $options );
