<?php

$config  = array(
  'title' => sprintf( '%s Portfolio Options', CHARITY_THEME_NAME ),
  'id' => 'charity-metaboxes-tabs',
  'pages' => array(
    'portfolio'
  ),
  'callback' => '',
  'context' => 'normal',
  'priority' => 'core'
);
$options = array(

   /* array(
    "name" => esc_html__( "Page Elements", "charity" ),
    "subtitle" => esc_html__( "", "charity" ),
      "desc" => esc_html__( "Depending on your need you can change this page's general layout", "charity" ),
    "id" => "_template",
    "default" => '',
    "placeholder" => 'true',
    "width" => 400,
    "options" => array(
          "no-header" => esc_html__('Remove Header', "charity"),
          "no-title" => esc_html__('Remove Page Title', "charity"),
          "no-header-title" => esc_html__('Remove Header & Page Title', "charity"),
          "no-title-footer" => esc_html__('Remove Page Title & Footer', "charity"),
          "no-title-sub-footer" => esc_html__('Remove Page Title & Sub Footer', "charity"),
          "no-title-footer-sub-footer" => esc_html__('Remove Page Title & Footer & Sub Footer', "charity"),
          "no-footer-only" => esc_html__('Remove Footer', "charity"),
          "no-sub-footer" => esc_html__('Remove Sub Footer', "charity"),
          "no-footer" => esc_html__('Remove Footer & Sub Footer', "charity"),
          "no-footer-title" => esc_html__('Remove Footer & Page Title', "charity"),
          "no-sub-footer-title" => esc_html__('Remove Footer & Sub Footer & Page Title', "charity"),
          "no-header-footer" => esc_html__('Remove Header & Footer & Sub Footer', "charity"),
          "no-header-title-only-footer" => esc_html__('Remove Header & Page Title & Footer', "charity"),
          "no-header-title-footer" => esc_html__('Remove Header & Page Title & Footer & Sub Footer', "charity")
    ),
    "type" => "select"
  ),
*/
 /* array(
    "name" => esc_html__("Stick Template?", "charity" ),
        "subtitle" => esc_html__( "If enabled this option page will have no padding after header and before footer.", "charity" ),
    "desc" => esc_html__( "Use this option if you need to use header slideshow or use a callout box before footer.", "charity" ),
    "id" => "_padding",
    "default" => 'false',
    "type" => "toggle"
  ),
  
  array(
      "name" => esc_html__("Header Toolbar?", "charity"),
      "subtitle" => esc_html__("", "charity"),
      "desc" => esc_html__("", "charity"),
      "id" => "_header_toolbar",
      "default" => 'true',
      "type" => "toggle"
  ),
    /*  array(
        "name" => esc_html__("Header Style", "charity"),
        "subtitle" => esc_html__("Defines how header appear in top.", "charity"),
        "desc" => esc_html__("", "charity"),
        "id" => "_header_style",
        "default" => 'block',
        "placeholder" => 'true',
        "width" => 400,
        "options" => array(
            "block" => esc_html__('Block module', "charity"),
            "transparent" => esc_html__('Transparent Layer', "charity")
        ),
        "type" => "select"
    ),
    array(
        "name" => esc_html__("Transparent Header Style Skin", "charity"),
        "subtitle" => esc_html__("", "charity"),
        "desc" => esc_html__("", "charity"),
        "id" => "_trans_header_skin",
        "default" => 'light',
        "placeholder" => 'false',
        "width" => 400,
        "options" => array(
            "light" => esc_html__('Light', "charity"),
            "dark" => esc_html__('Dark', "charity")
        ),
        "type" => "select"
    ),
    array(
        "name" => esc_html__("Transparent Header Style Sticky Scroll Offset", "charity"),
        "subtitle" => esc_html__("", "charity"),
        "desc" => esc_html__("zero means window height which is relative to the device screen height. any value bigger than 0 will set the sticky header to user defined value.", "charity"),
        "id" => "_trans_header_offset",
        "default" => "120",
        "min" => "0",
        "max" => "5000",
        "step" => "1",
        "unit" => 'px',
        "type" => "range"
    ),

  array(
    "name" => esc_html__( "Portfolio Loop Overlay Logo", "charity" ),
    "subtitle" => esc_html__( "Optionally you can upload a logo to appear on portfolio loop images.", "charity" ),
    "desc" => esc_html__( "Its width should not be larger than 300px and height relative to the loop image heights. so try to adjust it as you need.", "charity" ),
    "id" => "_portfolio_item_logo",
    "preview" => true,
    "default" => "",
    "type" => "upload"
  ),
*/
  array(
    "name" => esc_html__( "Gallery Images", "charity" ),
    "subtitle" => esc_html__( "Add Images for the gallery post type", "charity" ),
    "desc" => esc_html__( "You can re-arrange images by drag and drop as well as deleting images.", "charity" ),
    "id" => "_gallery_images",
    "default" => '',
    "type" => "gallery"
  ),


  array(
    "name" => esc_html__( "Video URL", "charity" ),
    "subtitle" => esc_html__( "URL to the video site to feed from.", "charity" ),
    "desc" => esc_html__( "", "charity" ),
    "id" => "_video_url",
    "type" => "text"
  ),

  array(
    "name" => esc_html__( "Upload MP3 File", "charity" ),
    "desc" => esc_html__( "Upload MP3 your file or paste the full URL for external files. This file formate needed for Safari, Internet Explorer, Chrome. ", "charity" ),
    "id" => "_mp3_file",
    "preview" => false,
    "default" => "",
    "type" => "upload"
  ),

  array(
    "name" => esc_html__( "Upload OGG File", "charity" ),
    "desc" => esc_html__( "Upload OGG your file or paste the full URL for external files. This file formate needed for Firefox, Opera, Chrome. ", "charity" ),
    "id" => "_ogg_file",
    "preview" => false,
    "default" => "",
    "type" => "upload"
  ),


 /* array(
    "name" => esc_html__( "Ajax Description", "charity" ),
    "desc" => esc_html__( "You are allowed to use HTML tags as well as shortcodes.", "charity" ),
    "subtitle" => esc_html__( "Short description for ajax content. This content will be shown if you have enabled ajax feature for your portfolio loop.", "charity" ),
    "id" => "_portfolio_short_desc",
    "default" => '',
    "type" => "editor"
  ),



  array(
    "name" => esc_html__( "Masonry Image size", "charity" ),
    "desc" => esc_html__( "Make your hand picked image sizes.", "charity" ),
    "subtitle" => esc_html__( "Masonry loop style image size.", "charity" ),
    "id" => "_masonry_img_size",
    "default" => 'two_x_two_x',
    "width" => 250,
    "options" => array(
      //"regular" => 'Regular',
      //"wide" => 'Wide',
      //"tall" => 'Tall',
      //"wide_tall" => 'Wide & Tall',
      "x_x" => esc_html__('X * X', 'charity'),
      "two_x_x" => esc_html__('2X * X', 'charity'),
      "three_x_x" => esc_html__('3X * X', 'charity'),
      "four_x_x" => esc_html__('4X * X', 'charity'),
      "x_two_x" => esc_html__('X * 2X', 'charity'),
      "two_x_two_x" => esc_html__('2X * 2X (Regular)', 'charity'),
      "two_x_four_x" => esc_html__('2X * 4X (Tall)', 'charity'),
      "three_x_two_x" => esc_html__('3X * 2X', 'charity'),
      "four_x_two_x" => esc_html__('4X * 2X (Wide)', 'charity'),
      "four_x_four_x" => esc_html__('4X * 4X (Wide & Tall)', 'charity'),
    ),
    "type" => "select"
  ),
*/
  array(
    "name" => esc_html__( "Show Featured Image in Single Post?", "charity" ),
    "desc" => esc_html__( "Please note that this option will disable featured image, video player (when video post type chosen) and gallery slideshow (when gallery post type chosen).", "charity" ),
    "id" => "_single_featured",
    "default" => "true",
    "type" => "toggle"
  ),


  array(
    "name" => esc_html__( "Custom URL", "charity" ),
    "desc" => esc_html__( "If you may choose to change the permalink to a page, post or external URL. If left empty the single post permalink will be used instead.", "charity" ),
    "subtitle" => esc_html__( "External link other than the single post.", "charity" ),
    "id" => "_portfolio_permalink",
    "default" => "",
    "type" => "superlink"
  ),

  /*array(
    "name" => esc_html__( "Previous & Next Arrows?", "charity" ),
    "desc" => esc_html__( "Using this option you can turn on/off the navigation arrows when viewing the portfolio single page.", "charity" ),
    "id" => "_portfolio_meta_next_prev",
    "default" => "true",
    "type" => "toggle"
  ),*/

  array(
    "name" => esc_html__( "Related Projects?", "charity" ),
    "desc" => esc_html__( "", "charity" ),
    "id" => "_portfolio_related_project",
    "default" => "false",
    "type" => "toggle"
  ),

);
new charity_metaboxesGenerator( $config, $options );
