<?php

$config  = array(
  'title' => sprintf( '%s Posts Options', CHARITY_THEME_NAME ),
  'id' => 'charity-metaboxes-tabs',
  'pages' => array(
    'post'
  ),
  'callback' => '',
  'context' => 'normal',
  'priority' => 'core'
);
$options = array(

  array(
    "name" => esc_html__( "Page Elements", "charity" ),
    "subtitle" => esc_html__( "", "charity" ),
      "desc" => esc_html__( "Depending on your need you can change this page's general layout", "charity" ),
    "id" => "_template",
    "default" => '',
    "placeholder" => 'true',
    "width" => 400,
    "options" => array(
          "no-header" => esc_html__('Remove Header', "charity"),
          "no-title" => esc_html__('Remove Page Title', "charity"),
          "no-header-title" => esc_html__('Remove Header & Page Title', "charity"),
          "no-title-footer" => esc_html__('Remove Page Title & Footer', "charity"),
          "no-title-sub-footer" => esc_html__('Remove Page Title & Sub Footer', "charity"),
          "no-title-footer-sub-footer" => esc_html__('Remove Page Title & Footer & Sub Footer', "charity"),
          "no-footer-only" => esc_html__('Remove Footer', "charity"),
          "no-sub-footer" => esc_html__('Remove Sub Footer', "charity"),
          "no-footer" => esc_html__('Remove Footer & Sub Footer', "charity"),
          "no-footer-title" => esc_html__('Remove Footer & Page Title', "charity"),
          "no-sub-footer-title" => esc_html__('Remove Footer & Sub Footer & Page Title', "charity"),
          "no-header-footer" => esc_html__('Remove Header & Footer & Sub Footer', "charity"),
          "no-header-title-only-footer" => esc_html__('Remove Header & Page Title & Footer', "charity"),
          "no-header-title-footer" => esc_html__('Remove Header & Page Title & Footer & Sub Footer', "charity")
    ),
    "type" => "select"
  ),

  array(
    "name" => esc_html__("Stick Template?", "charity" ),
        "subtitle" => esc_html__( "If enabled this option page will have no padding after header and before footer.", "charity" ),
    "desc" => esc_html__( "Use this option if you need to use header slideshow or use a callout box before footer.", "charity" ),
    "id" => "_padding",
    "default" => 'false',
    "type" => "toggle"
  ),
  array(
      "name" => esc_html__("Header Toolbar?", "charity"),
      "subtitle" => esc_html__("", "charity"),
      "desc" => esc_html__("", "charity"),
      "id" => "_header_toolbar",
      "default" => 'true',
      "type" => "toggle"
  ),

  array(
    "name" => esc_html__("Featured Image?", "charity" ),
    "subtitle" => esc_html__( "", "charity" ),
    "desc" => esc_html__( "If you do not want to set a featured image (in case of sound post type : Audio player, in case of video post type : Video Player) kindly disable it here.", "charity" ),
    "id" => "_featured_image",
    "default" => 'true',
    "type" => "toggle"
  ),

  array(
    "name" => esc_html__("Show Meta?", "charity" ),
    "subtitle" => esc_html__( "", "charity" ),
    "desc" => esc_html__( "If you do not want to set a metabox kindly disable it here.", "charity" ),
    "id" => "_meta",
    "default" => 'true',
    "type" => "toggle"
  ),

  array(
    "name" => esc_html__( "Gallery Images", "charity" ),
    "subtitle" => esc_html__( "Add Images for the gallery post type", "charity" ),
    "desc" => esc_html__( "You can re-arrange images by drag and drop as well as deleting images.", "charity" ),
    "id" => "_gallery_images",
    "default" => '',
    "type" => "gallery"
  ),

  array(
    "name" => esc_html__( "Video URL", "charity" ),
    "subtitle" => esc_html__( "URL to the video site to feed from.", "charity" ),
    "desc" => esc_html__( "", "charity" ),
    "id" => "_video_url",
    "type" => "text"
  ),

  array(
    "name" => esc_html__( "Upload MP3 File", "charity" ),
    "desc" => esc_html__( "Upload MP3 your file or paste the full URL for external files. This file formate needed for Safari, Internet Explorer, Chrome. ", "charity" ),
    "id" => "_mp3_file",
    "preview" => false,
    "default" => "",
    "type" => "upload"
  ),

  array(
    "name" => esc_html__( "Upload OGG File", "charity" ),
    "desc" => esc_html__( "Upload OGG your file or paste the full URL for external files. This file formate needed for Firefox, Opera, Chrome. ", "charity" ),
    "id" => "_ogg_file",
    "preview" => false,
    "default" => "",
    "type" => "upload"
  ),

  array(
    "name" => esc_html__( "Soundcloud", "charity" ),
    "desc" => esc_html__( "You can get both iframe or shortcode for wordpress from soundcould share=>embed popup. both formats are acceptable.", "charity" ),
    "subtitle" => esc_html__( "Paste embed iframe or Wordpress shortcode.", "charity" ),
    "id" => "_audio_iframe",
    "preview" => false,
    "default" => "",
    "type" => "textarea"
  )
);
new charity_metaboxesGenerator( $config, $options );
