<?php

/* - WPML compatibility - */
if(defined('ICL_SITEPRESS_VERSION') && defined('ICL_LANGUAGE_CODE')) 
{
	if(!function_exists('charity_wpml_language_switch'))
	{
		function charity_wpml_language_switch()
		{
			$languages = icl_get_languages('skip_missing=0&orderby=id');
			$output = "";
			
			if(is_array($languages))
			{
				
	       		$output .= '<div class="charity-language-nav"><a href="#"><i class="charity-icon-globe"></i>'. esc_html__('Languages', 'charity').'</a>';
				$output .= '<div class="charity-language-nav-sub-wrapper"><div class="charity-language-nav-sub">';
				$output .= "<ul class='charity-language-navigation'>";	
				foreach($languages as $lang)
				{
					$output .= "<li class='language_".$lang['language_code']."'><a href='".$lang['url']."'>";
					$output .= "<span class='charity-lang-flag'><img title='".$lang['native_name']."' src='".$lang['country_flag_url']."' /></span>";
					$output .= "<span class='charity-lang-name'>".$lang['translated_name']."</span>";
					$output .= "</a></li>";
				}
				
				$output .= "</ul></div></div></div>";
			}
			
			echo '<div>'.$output.'</div>';
		}
	}	
}

