<?php 


$charity_settings = $GLOBALS['charity_settings'];
$template = '';
if(global_get_post_id()) {
	$template = get_post_meta( global_get_post_id(), '_template', true );

}

if($template != 'no-footer' && $template != 'no-header-footer' && $template != 'no-header-title-footer' && $template !='no-sub-footer-title' && $template !='no-title-footer-sub-footer') :

if($charity_settings['footer'] == true && $template != 'no-footer-only' && $template != 'no-footer-title' && $template != 'no-header-title-only-footer' && $template != 'no-title-footer') : ?>
<section id="charity-footer">
<div class="footer-wrapper charity-grid">
<div class="charity-padding-wrapper">
<?php

$footer_column = $charity_settings['footer-layout'];

if(is_numeric($footer_column)):
	switch ( $footer_column ):
		case 1:
		$class = '';
			break;
		case 2:
			$class = 'charity-col-1-2';
			break;
		case 3:
			$class = 'charity-col-1-3';
			break;
		case 4:
			$class = 'charity-col-1-4';
			break;
		case 5:
			$class = 'charity-col-1-5';
			break;
		case 6:
			$class = 'charity-col-1-6';
			break;		
	endswitch;
	for( $i=1; $i<=$footer_column; $i++ ):
?>
<?php if($i == $footer_column): ?>
<div class="<?php echo esc_attr($class); ?>"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
<?php else:?>
			<div class="<?php echo esc_attr($class); ?>"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
<?php endif;		
endfor; 

else : 

switch($footer_column):
		case 'third_sub_third':
?>
		<div class="charity-col-1-3"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
		<div class="charity-col-2-3">
			<div class="charity-col-1-3"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
			<div class="charity-col-1-3"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
			<div class="charity-col-1-3"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
		</div>
<?php
			break;
		case 'sub_third_third':
?>
		<div class="charity-col-2-3">
			<div class="charity-col-1-3"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
			<div class="charity-col-1-3"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
			<div class="charity-col-1-3"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
		</div>
		<div class="charity-col-1-3"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
<?php
			break;
		case 'third_sub_fourth':
?>
		<div class="charity-col-1-3"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
		<div class="charity-col-2-3 last">
			<div class="charity-col-1-4"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
			<div class="charity-col-1-4"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
			<div class="charity-col-1-4"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
			<div class="charity-col-1-4"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
		</div>
<?php
			break;
		case 'sub_fourth_third':
?>
		<div class="charity-col-2-3">
			<div class="charity-col-1-4"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
			<div class="charity-col-1-4"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
			<div class="charity-col-1-4"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
			<div class="charity-col-1-4"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
		</div>
		<div class="charity-col-1-3"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
<?php
			break;
		case 'half_sub_half':
?>
		<div class="charity-col-1-2"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
		<div class="charity-col-1-2">
			<div class="charity-col-1-2"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
			<div class="charity-col-1-2"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
		</div>
<?php
			break;
		case 'half_sub_third':
?>
		<div class="charity-col-1-2"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
		<div class="charity-col-1-2">
			<div class="charity-col-1-3"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
			<div class="charity-col-1-3"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
			<div class="charity-col-1-3"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
		</div>
<?php
			break;
		case 'sub_half_half':
?>
		<div class="charity-col-1-2">
			<div class="charity-col-1-2"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
			<div class="charity-col-1-2"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
		</div>
		<div class="charity-col-1-2"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
<?php
			break;
		case 'sub_third_half':
?>
		<div class="charity-col-1-2">
			<div class="charity-col-1-3"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
			<div class="charity-col-1-3"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
			<div class="charity-col-1-3"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
		</div>
		<div class="charity-col-1-2"><?php charity_sidebar_generator( 'get_footer_sidebar'); ?></div>
<?php
			break;
	endswitch;
endif;?> 
<div class="clearboth"></div>      
</div>
</div>
<div class="clearboth"></div>
<?php endif;?>

<?php if ( $charity_settings['sub-footer'] == true && $template != 'no-sub-footer' && $template != 'no-title-sub-footer') { ?>
<div id="sub-footer">
	<div class="charity-grid">
		<div class="item-holder">
		
    	<span class="charity-footer-copyright"><?php echo esc_attr($charity_settings['footer-copyright']); ?></span>

    	<?php do_action('subfooter_social'); ?>
    	<?php do_action('subfooter_logos'); ?>

		</div>
	</div>
	<div class="clearboth"></div>

</div>
<?php } ?>

</section>




<?php endif; ?>

</div><!-- End boxed layout -->
<a href="#" class="charity-go-top"><i class="charity-icon-angle-up"></i></a>
</div><!-- End Theme main Wrapper -->

<?php 
	do_action( 'side_dashboard'); 
	
?>

<?php 
if($charity_settings['header-location'] == 'bottom') {
$header_padding_type = $charity_settings['sticky-header'] ? 'sticky-header' : 'none-sticky-header'; ?>
<div class="bottom-header-padding <?php echo esc_attr($header_padding_type) ?>"></div>
<?php 
}
?>



<?php wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>
