<?php

function blog_classic_style($atts)
{
    global $post,$charity_settings;
	
		$grid_width    = $charity_settings['grid-width'];
		$content_width = $charity_settings['content-width'];
		$item_id = (!empty($item_id)) ? $item_id : 1409305847;
		$cropping = '';
		$disable_meta = '';
		$classic_excerpt = 'excerpt';
		$image_width = 770;
		$image_height = 400;
		$excerpt_length = 200;
		$atts   = array(
    'layout' => 'right',
	'style' => 'classic',
    'column' => 'one',
    'image_height' => 400,
    'disable_meta' => 'false',
	'thumb_column' => 1,
    'classic_excerpt' => 'excerpt',
    'grid_avatar' => 'true',
    'read_more' => 'true',
    'grid_width' => $grid_width,
    'content_width' => $content_width,
    'image_width' => 770,
    'excerpt_length' => 200,
    'cropping' => 'true',
    //'slideshow_layout' => $slideshow_layout,
    'author' => 'false',
	'scroll' => 'false',
    'item_id' => $item_id,
	'item_row' => 1
);
	
    $output = $item_cat = '';

    //if ($layout == 'full') {
       // $image_width = $grid_width - 40;
    //} else {
        $image_width = (($content_width / 100) * $grid_width) - 40;
   // }

    $categories = get_the_category();

    foreach ($categories as $category) {
        $item_cat .= 'category-' . $category->slug . ' ';
    }
	
    

    $post_type = (get_post_format(get_the_id()) == '0' || get_post_format(get_the_id()) == '') ? 'image' : get_post_format(get_the_id());

if ( is_sticky() ){

    $output .= '<article id="entry-' . get_the_ID() . '" class="blog-classic-entry sticky-post classic-'.$item_id.' charity-isotop-item ' . $item_cat . '">';
}else{
	$output .= '<article id="entry-' . get_the_ID() . '" class="blog-classic-entry classic-'.$item_id.' charity-isotop-item ' . $item_cat . '">';
}
    switch ($post_type) {



        /* Image Post Type */
        case 'image':
            $image_src_array = wp_get_attachment_image_src(get_post_thumbnail_id(), 'full', true);
            if($cropping == 'true') {
                $image_src = bfi_thumb($image_src_array[0], array(
                'width' => $image_width,
                'height' => $image_height,
                'crop' => true
                ));
            } else {
                $image_src = $image_src_array[0];
            }
            if (has_post_thumbnail()) {
                $output .= '<div class="featured-image" onClick="return true">';
                $output .= '<img alt="' . get_the_title() . '" width="' . $image_width . '" class="item-featured-image" height="' . $image_height . '" title="' . get_the_title() . '" src="' . charity_thumbnail_image_gen($image_src, $image_width, $image_height) . '" itemprop="image" />';
                $output .= '<div class="hover-overlay"></div>';
                $output .= '</div>';
            }
            break;
        /***********/

        case 'aside':
            /* There is nothing to output */
            break;

        /* Gallery Post Type */
        case 'gallery':
           

            break;
        /***********/

        /* Video Post Type */
        case 'video':

            
            break;
        /***********/


        /* Audio Post Type */
        case 'audio':
           

            break;
        default:
            $image_src_array = wp_get_attachment_image_src(get_post_thumbnail_id(), 'full', true);
            if($cropping == 'true') {
                $image_src = bfi_thumb($image_src_array[0], array(
                'width' => $image_width,
                'height' => $image_height,
                'crop' => true
                ));
            } else {
                $image_src = $image_src_array[0];
            }
            if (has_post_thumbnail()) {
                $output .= '<div class="featured-image"><a title="' . get_the_title() . '" href="' . get_permalink() . '">';
                $output .= '<img alt="' . get_the_title() . '" title="' . get_the_title() . '" class="item-featured-image" width="' . $image_width . '" height="' . $image_height . '" src="' . $image_src . '" itemprop="image" />';
                $output .= '<div class="hover-overlay"></div>';
                $output .= '<i class="charity-theme-icon-plus hover-plus-icon"></i>';
                $output .= '</a></div>';
            }
            break;

    }

    /* Blog Heading */
	/* Blog Meta */
    if ($disable_meta != 'false') {
        $output .= '<div class="blog-meta">';
        $output .= '<time datetime="' . get_the_date() . '" itemprop="datePublished" pubdate>';
        $output .= '<a href="' . get_month_link(get_the_time("Y"), get_the_time("m")) . '">' . get_the_date() . '</a>';
        $output .= '</time>';
        $output .= '<div class="blog-categories">' . get_the_category_list(', ') . '</div>';
		ob_start();
    comments_number(esc_html__('0 Comments', 'charity'), esc_html__('1', 'charity'), esc_html__('%', 'charity'));
    $output .= '<a href="' . get_permalink() . '#comments" class="blog-comments">' . ob_get_clean() . '</a>';
	
        $output .= '<div class="clearboth"></div></div>';
    }
    
    $output .= '<div class="blog-entry-heading">';
    $output .= '<h2 class="blog-title"><a href="' . get_permalink() . '">' . get_the_title() . '</a></h2>';
    
    $output .= '</div>';
    /***********/




    
    /***********/




    if ($classic_excerpt == 'excerpt') {
        if($excerpt_length != 0) {
            ob_start();
            the_excerpt_max_charlength($excerpt_length);
            $output .= '<div class="blog-excerpt">' . ob_get_clean() . '</div>';
        }
		$output .= '<div class="blog-readmore-btn "><a title="'.get_the_title().'" href="'.get_permalink().'">'.esc_html__("Read More","charity").'</a></div>';

    } else {
        $content = str_replace(']]>', ']]&gt;', apply_filters('the_content', get_the_content()));
        $output .= '<div class="blog-excerpt">' . $content . '</div>';
    }


    $output .= '</article>';


    return $output;

}
