<?php
$config  = array(
	'title' => sprintf( '%s Page layout', CHARITY_THEME_NAME ),
	'id' => 'charity-layout-metabox',
	'pages' => array(
		'portfolio',
		'post',
		'page',
		'causes'
	),
	'callback' => '',
	'context' => 'side',
	'priority' => 'core'
);
$options = array(


	array(
		"name" => esc_html__( "Page Layout", "charity" ),
		"subtitle" => esc_html__( "Please choose this page's layout. Default : Full layout", "charity" ),
		"id" => "_layout",
		"default" => 'full',
		"placeholder" => 'false',
		"width" => 230,
		"options" => array(
			"full" => 'No sidebar',
			"right" => 'Right Sidebar',
			"left" => 'Left Sidebar',
		),
		"type" => "select"
	),

	array(
    "name" => esc_html__("Choose a Sidebar", "charity" ),
    "subtitle" => esc_html__( "Assign a custom sidebar to this page.", "charity" ),
    "id" => "_sidebar",
    "width" => 230,
    "default" => '',
    'placeholder' => 'true',
    "options" => charity_get_sidebar_options(),
    "type" => "select"
  ),



);

new charity_metaboxesGenerator( $config, $options );
