<?php
$config  = array(
	'title' => sprintf( '%s Testimonials Options', CHARITY_THEME_NAME ),
	'id' => 'charity-metaboxes-notab',
	'pages' => array(
		'testimonial'
	),
	'callback' => '',
	'context' => 'normal',
	'priority' => 'core'
);
$options = array(
	array(
		"name" => esc_html__( "Author Name", "charity" ),
		"subtitle" => esc_html__( "Testimonial author name.", "charity" ),
		"desc" => esc_html__( "", "charity" ),
		"id" => "_author",
		"default" => "",
		"size"=> 50,
		"type" => "text"
	),
	array(
		"name" => esc_html__( "Company Name", "charity" ),
		"subtitle" => esc_html__( "Company or whatever position the author has. will be shown below name.", "charity" ),
		"desc" => esc_html__( "", "charity" ),
		"id" => "_company",
		"default" => "",
		"type" => "text"
	),
	array(
		"name" => esc_html__( "Author Position", "charity" ),
		"subtitle" => esc_html__( "Company or whatever position the author has. will be shown below name.", "charity" ),
		"desc" => esc_html__( "", "charity" ),
		"id" => "_position",
		"default" => "",
		"type" => "text"
	),
	array(
		"name" => esc_html__( "Website URL", "charity" ),
		"subtitle" => esc_html__( "Author website URL. its completely optional.", "charity" ),
		"desc" => esc_html__( "please include http://", "charity" ),
		"id" => "_url",
		"default" => "",
		"type" => "text"
	),
	array(
		"name" => esc_html__( "Author Quote", "charity" ),
		"subtitle" => esc_html__( "Please fill this form as the author quote. you are allowed to use any type of HTML code and shortcode.", "charity" ),
		"desc" => esc_html__( "", "charity" ),
		"id" => "_desc",
		"default" => "",
		"type" => "editor"
	),


);
new charity_metaboxesGenerator( $config, $options );
