<?php

class charityLovePost {

	function __construct() {
		add_action( 'wp_ajax_charity_love_post', array( &$this, 'charity_love_post' ) );
		add_action( 'wp_ajax_nopriv_charity_love_post', array( &$this, 'charity_love_post' ) );
	}



	function charity_love_post( $post_id ) {

		if ( isset( $_POST['post_id'] ) ) {
			$post_id = str_replace( 'charity-love-', '', $_POST['post_id'] );
			echo '<div>'.$this->love_post( $post_id, 'update' ).'</div>';
		}
		else {
			$post_id = str_replace( 'charity-love-', '', $_POST['post_id'] );
			echo '<div>'.$this->love_post( $post_id, 'get' ).'</div>';
		}

		exit;
	}


	function love_post( $post_id, $action = 'get' ) {
		if ( !is_numeric( $post_id ) ) return;
		$post_type = get_post_type($post_id);
		$cookie_string = 'charity_charity_love_'.$post_type.'_'. $post_id;
		switch ( $action ) {

		case 'get':
			$love_count = get_post_meta( $post_id, '_charity_post_love', true );
			if ( !$love_count ) {
				$love_count = 0;
				add_post_meta( $post_id, '_charity_post_love', $love_count, true );
			}

			return '<span class="charity-love-count">'. $love_count .'</span>';
			break;

		case 'update':
			$love_count = get_post_meta( $post_id, '_charity_post_love', true );
			
			if ( isset( $_COOKIE['charity_charity_love_'.$post_type.'_'. $post_id] ) ) return $love_count;

			$love_count++;
			update_post_meta( $post_id, '_charity_post_love', $love_count );
			setcookie($cookie_string, $post_id, time()*20, '/' );

			return $love_count;
			break;

		}
	}


	function send_love() {
		global $post;
		$post_type = get_post_type( $post->ID);
		$output = $this->love_post( $post->ID );
		$class = '';
		if ( isset( $_COOKIE['charity_charity_love_'.$post_type.'_'. $post->ID] ) ) {
			$class = 'item-loved';
		}

		return '<span class="charity-love-this '. $class .'" id="charity-love-'. $post->ID .'"><i class="charity-icon-heart-o"></i><i class="charity-icon-heart"></i> '. $output .'</span>';
	}

}


global $charity_love_this;
$charity_love_this = new charityLovePost();

function charity_love_this( $return = '' ) {

	global $charity_love_this;

	if ( $return == 'return' ) {
		return $charity_love_this->send_love();
	} else {
		echo '<div class="love-main">'.$charity_love_this->send_love().'</div>';
	}

}

?>
